package com.red.circle.console.app.service.app.sys;


import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.VersionManageQryCmd;
import com.red.circle.other.inner.model.dto.sys.VersionManageDTO;

/**
 * <p>
 * 服务类.
 * </p>
 *
 * @author zhengmigndong
 * @since 2019-05-05
 */
public interface VersionManageService {

  /**
   * 获取版本记录列表.
   *
   * @return ignore
   */
  PageResult<VersionManageDTO> pageVersionManage(VersionManageQryCmd cmd);

  /**
   * 新增版本.
   *
   * @param versionManage ignore
   * @return ignore
   */
  Boolean saveVersionManage(VersionManageDTO versionManage);

  /**
   * 删除版本信息.
   *
   * @param id ignore
   */
  void deleteVersionManage(Long id);

  /**
   * 修改版本信息.
   *
   * @param versionManage ignore
   */
  void updateVersionManage(VersionManageDTO versionManage);

  /**
   * 编辑buildVersion
   */
  void addBuildVersion(String sysOrigin, String platform, String channel, Integer buildVersion);

  /**
   * 获取编译版本
   */
  Integer getBuildVersion(String sysOrigin, String platform, String channel);
}
